Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

列出所有授权

GET /accounts/{account_id}/core/v1/entitlements

返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

包括

string

查询

False

指示列出集合时应返回哪些字段。

URL 示例:"include=id"、"include=id,name"

OpenAPI 示例:"id"

  • 示例:product、entitlementType、entitlementValue、allocation

limit

string

查询

False

指示列出集合时要返回的最大资源数。

URL 示例:"limit=2"

OpenAPI 示例:"2"

筛选器

string

查询

False

指示在列出集合时应匹配哪些字段以返回资源。

支持的运算符有:

  • eq - 相等

  • lt/gt - 小于/大于

  • lte/gte - 小于或等于/大于或等于

URL 示例:"filter=field%20eq%20%27value%27"

OpenAPI 示例:"field eq 'value'"

订单

string

查询

False

指示列出集合时资源的排序顺序。

URL 示例:"orderBy=name","orderBy=name%20desc"

OpenAPI 示例:"name desc"

跳过

string

查询

False

指示列出集合时要跳过的资源数。

URL 示例:"skip=1"

OpenAPI 示例:"1"

count

string

查询

False

指示是否应在元数据对象中返回资源总数。

URL 示例:"count=true"

OpenAPI 示例:"true"

继续

查询

False

指示要从中恢复列表的令牌。

URL 示例:"continue="

OpenAPI 示例:"</continue>+</continue>

响应

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
名称 Type Required Description

个项

数组[任意一种:"entitlement_1.0_get_response_body",数组[]]

True

元数据

"type_astra_metadata_list"

True

响应示例
{
  "type": "application/astra-entitlements",
  "version": "1.0",
  "items": [
    [
      "Astra SDS",
      "capacity",
      "2",
      null
    ],
    [
      "Astra Enterprise",
      "clusters",
      "100",
      "5e9fe8f7-4c54-441c-ac94-fd8451f9ca38"
    ]
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

entitlement_1.0_get_response_body

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-entitlement"

version

string

True

资源的版本。定义的值为:

  • "1.0"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

分配

string

False

包含授权分配到的对象的 ID 的 JSON 字符串。仅在分配授权时存在。架构未验证字符串内容。

产品

string

False

包含从许可证或订阅中提取的产品字符串的 JSON 字符串。架构未验证的字符串内容。

productVersion

string

False

包含从许可证或订阅中提取的版本字符串的 JSON 字符串。架构未验证的字符串内容。

entitlementType

string

True

包含授权类型的 JSON 字符串。这是从许可证或订阅中提取的。架构未验证字符串内容。

entitlementValue

string

True

包含与授权关联的容量的 JSON 字符串。架构未验证字符串内容。

entitlementConsumption

string

False

包含与当前正在使用的授权关联的容量量的 JSON 字符串。架构未验证字符串内容。

sourceLicense

string

False

包含授权源自的许可证对象 ID 的 JSON 字符串。定义的值为:

  • 符合 Astra 标识符架构

sourceSubscription

string

False

包含授权源自的订阅对象的 ID 的 JSON 字符串。定义的值是:

  • 符合 Astra 标识符架构

validFromTimestamp

string

False

包含指示授权何时生效的时间戳的 JSON 字符串。定义的值为:

  • 符合 ISO-8601 日期时间方案

validUntilTimestamp

string

False

包含指示授权何时不再有效的时间戳的 JSON 字符串。定义的值是:

  • 符合 ISO-8601 日期时间方案

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

type_astra_metadata_list

名称 Type Required Description

继续

string

False

count

数字

False

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因